Bug 1311209 - python-bottle-sqlite: Provide a Python 3 subpackage [NEEDINFO]
Summary: python-bottle-sqlite: Provide a Python 3 subpackage
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-bottle-sqlite
Version: 25
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rahul Sundaram
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3 PY3PATCH-PUSH
TreeView+ depends on / blocked
 
Reported: 2016-02-23 15:12 UTC by Tomas Orsava
Modified: 2016-09-07 11:08 UTC (History)
5 users (show)

Fixed In Version: python-bottle-sqlite-0.1.3-1.fc26
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-07 11:08:11 UTC
cstratak: needinfo? (metherid)
mhroncok: needinfo? (metherid)


Attachments (Terms of Use)
Patch to provide Python 3 subpackage (3.99 KB, application/mbox)
2016-07-19 14:43 UTC, Charalampos Stratakis
no flags Details

Description Tomas Orsava 2016-02-23 15:12:57 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-04-06 15:03:11 UTC
Ping?

No response as of yet from maintainer.

Comment 2 Charalampos Stratakis 2016-07-19 14:43:33 UTC
Created attachment 1181654 [details]
Patch to provide Python 3 subpackage

Hi. This patch updates to latest upstream version (0.1.3), provides a python 3 subpackage and modernizes the SPEC file.

Maintainer could you review it?

Comment 3 Charalampos Stratakis 2016-07-19 14:52:22 UTC
Scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14951184

Tested also in mock.

Comment 4 Jan Kurik 2016-07-26 04:43:06 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 5 Lumír Balhar 2016-08-08 06:46:35 UTC
Patch looks good to me.

Comment 6 Miro Hrončok 2016-08-16 10:51:08 UTC
Rahul,
do you mind if I push this? If you don't reply in a week, I assume it's OK.


Note You need to log in before you can comment on or make changes to this bug.